#!/bin/bash

DESTDIR=$1

mkdir -p $DESTDIR/bin/
cp -f multivnc_client.exe $DESTDIR/bin/.
cp -f hook.dll $DESTDIR/bin/.
strip -s $DESTDIR/bin/multivnc_client.exe $DESTDIR/bin/hook.dll

mkdir -p $DESTDIR/share/locale/ja/LC_MESSAGES/
cp -f src_client/po/ja.mo \
      $DESTDIR/share/locale/ja/LC_MESSAGES/multivnc_client.mo
mkdir -p $DESTDIR/share/locale/zh_CN/LC_MESSAGES/
cp -f src_client/po/zh_CN.mo \
      $DESTDIR/share/locale/zh_CN/LC_MESSAGES/multivnc_client.mo
mkdir -p $DESTDIR/share/locale/vi/LC_MESSAGES/
cp -f src_client/po/vi.mo \
      $DESTDIR/share/locale/vi/LC_MESSAGES/multivnc_client.mo
mkdir -p $DESTDIR/share/locale/ro/LC_MESSAGES/
cp -f src_client/po/ro.mo \
      $DESTDIR/share/locale/ro/LC_MESSAGES/multivnc_client.mo
echo "MultiVNC Install COMPLETE!"
