/// @file
/// @brief ウィンドウ関係のラッパ(Linux)

#include "vncviewer.h"

void show_gtkwindow(GtkWidget *widget)
{
	XEvent event;
	Display *disp;
	Window win;

	memset(&event, 0, sizeof(event));
	event.xclient.type = ClientMessage;
	event.xclient.send_event = True;
	event.xclient.window = GDK_WINDOW_XWINDOW(widget->window);
	event.xclient.message_type = gdk_x11_get_xatom_by_name("_NET_ACTIVE_WINDOW");
	event.xclient.format = 32;
	event.xclient.data.l[0] = 2;
	disp = gdk_x11_drawable_get_xdisplay(widget->window);
	win = gdk_x11_get_default_root_xwindow();
	XSendEvent(disp, win, False, SubstructureNotifyMask | SubstructureRedirectMask, &event);
	XFlush(disp);
}

void show_gtkwindow_top(GtkWidget *widget)
{
	show_gtkwindow(widget)
}
